> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Associate location to voucher group

> Allows you to associate location to a specific voucher group

A Voucher Group unites several Vouchers



## OpenAPI

````yaml /openapi/integration-api-v2/openapi.yaml post /v2/voucher-groups/{id}/locations/{locationId}
openapi: 3.0.0
info:
  title: Spirii API
  description: Spirii API
  version: 2.10.0
  contact: {}
servers:
  - url: https://api.spirii.com
security: []
tags: []
paths:
  /v2/voucher-groups/{id}/locations/{locationId}:
    post:
      tags:
        - VoucherGroups
      summary: Associate location to voucher group
      description: |-
        Allows you to associate location to a specific voucher group

        A Voucher Group unites several Vouchers
      operationId: associateLocationToVoucherGroup
      parameters:
        - name: id
          required: true
          in: path
          description: Used to identify the voucher group throughout the Spirii system
          schema:
            type: number
        - name: locationId
          required: true
          in: path
          description: Used to identify the location entity throughout the Spirii system
          schema:
            type: number
      responses:
        '204':
          description: Location has been successfully associated to voucher group.
        '404':
          description: The voucher group or location with the provided ID was not found.
        '409':
          description: Location is already associated to the voucher group.
        '422':
          description: Location does not belong to the same operator as the voucher group.

````